Skip to main content
PUT
https://api.dintero.com/v1
/
accounts
/
{aid}
/
discounts
/
campaigns
/
{campaign_id}
Update Campaign
curl --request PUT \
  --url https://api.dintero.com/v1/accounts/{aid}/discounts/campaigns/{campaign_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "private": "<unknown>"
}
'
{
  "name": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "updated_at": "2023-11-07T05:31:56Z",
  "deleted_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "deleted_at": "2023-11-07T05:31:56Z",
  "campaign_id": "<string>",
  "description": "<string>",
  "private": false,
  "metadata": {
    "sponsor": "Solo",
    "is_featured": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9
campaign_id
string
required
Maximum string length: 255

Body

application/json

Campaign properties to update

name
string
description
string
private
any

The campaign is private and will be excluded from public rules when filtered by campaign_id

GET /discounts/public/rules

Response

Campaign Updated

Discount Campaign

name
string
required
id
string<uuid>
read-only

An UUID that uniquely identifies the resource

created_at
string<date-time>
read-only

The date-time when the resource was created

created_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

updated_at
string<date-time>
read-only

The date-time when the resource was last updated

deleted_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

deleted_at
string<date-time>
read-only
campaign_id
string
Maximum string length: 255
description
string
private
boolean
default:false

The campaign is private and will be excluded from public rules when filtered by campaign_id

GET /discounts/public/rules

metadata
object

Additional metadata about the campaign

Example:
{ "sponsor": "Solo", "is_featured": true }